#extension GL_OES_EGL_image_external : require
precision mediump float;

varying vec2 outTexCoord;
varying vec2 outOverlayTexCoord;

uniform sampler2D uExtraTexture;
uniform sampler2D textureOES;

void main() {
    vec4 base = texture2D(textureOES, outTexCoord);
    vec4 overlay = texture2D(uExtraTexture, outOverlayTexCoord);
    vec4 outputColor;
     float r = base.r * 255.0;
     float g = base.g * 255.0;
     float b = base.b * 255.0;
    if(g>253.0 && base.a==1.0){
      outputColor.r = overlay.r;
      outputColor.g = overlay.g;
      outputColor.b = overlay.b;
      outputColor.a = 1.0;
    }else{
       outputColor.r = base.r;
       outputColor.g = base.g;
       outputColor.b = base.b;
       outputColor.a = base.a;
    }
    gl_FragColor = outputColor;
}