attribute vec4 position;
attribute vec4 inputTextureCoordinate;

varying vec2 textureCoordinate;

uniform mat4 texMatrix;
uniform mat4 vertexMatrix;

void main()
{
    vec4 p = position;
    p.y=-p.y;
    gl_Position = vertexMatrix * p;
    textureCoordinate = (texMatrix*inputTextureCoordinate).xy;

}